cabal-install uninstall ?

Benedikt Huber benjovi at
Tue May 6 04:30:33 EDT 2008


I appreciate ongoing work with cabal-install. I've tried the latest
darcs version on a clean fresh ghc, and it worked fine.

I wonder however, if there is any support (planned) for removing
outdated packages. For example, when updating bytestring, I ended up
with both xhtml-3000.0.2.1 and xhtml-3000.0.2.2 installed.

Is there a something like a receipt, listing the files belonging to the
installation of a package ? If there were such a thing (like copy
--verbose, but machine readable), uninstalling a list of outdated
packages would at least be possible.
I wouldn't want cabal to remove outdated packages automatically, but
some support for listing and removing them seems quite important to me.

Oh, and it would be nice if config fields like 'global-prefix' are
mentioned in the README.

In the long term, in which way should cabal-install interact with 
package management tools like macports ? Is it supposed to be a 
replacement, an alternative or a complement ?
I thought about writing something similar as cabal-rpm for macports, but 
  it seems better to have cabal-install handle dependency resolution and 
installation. Injecting a package into the pm's database after 
installing is imho the nicest solution. Does this make sense ?



More information about the cabal-devel mailing list